package com.gloo.sokoban.gui;

import javax.swing.*;

public class Main {
    public static void main(String[] args) {
        // Charger le niveau par défaut ou le niveau fourni en argument
        if (args.length == 0) {
            args = new String[]{"xsb/b.xsb"};
        }

        String levelPath = args[0];

        // Lancer l'interface graphique
        SwingUtilities.invokeLater(() -> {
            JFrame frame = new JFrame("Sokoban");
            frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
            GamePanel gamePanel = new GamePanel(levelPath); // Passer l'instance de Game
            frame.add(gamePanel);

            frame.pack();
            frame.setVisible(true);
        });
    }
}
