package com.gloo.sokoban.xsb;

import com.gloo.sokoban.grid.Grid;

public class Serializer {
    private Grid grid;

    public Serializer(Grid grid) {
        this.grid = grid;
    }

    public String serialize() {
        String serialized = "";
        for (int i = 0; i < grid.getRows(); i++) {
            for (int j = 0; j < grid.getCols(); j++) {
                serialized += grid.cells[i][j].toString();
            }
            serialized += "\n";
        }
        return serialized;
    }
}
